virsh/libvirt migration doesn't update DNS/DHCP module provider from *_virsh
Status: Closed   

Priority: Normal   

Assignee:    

Category: DNS   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/412

  

Description

The migrate_virsh_to_libvirt_config migration doesn't update the :use_provider setting in the main DNS/DHCP module configuration

files to the new provider names.

e.g. dhcp.yml:

---

:enabled: true

:use_provider: dhcp_virsh

:server: 127.0.0.1

 This was unchanged when running the config file migrations.  This results in errors on startup after an update:

E, [2016-04-22T13:08:28.996380 #992] ERROR -- : Couldn't enable plugin dns: Unable to find depende

ncy 'dns_virsh' of 'dns'.

D, [2016-04-22T13:08:28.996414 #992] DEBUG -- : ["/home/dcleal/code/foreman/smart-proxy/lib/proxy/

plugin.rb:122:in `block in validate_prerequisites_enabled!'", "/home/dcleal/code/foreman/smart-pro

xy/lib/proxy/plugin.rb:120:in `each'", "/home/dcleal/code/foreman/smart-pro

xy/lib/proxy/plugin.rb:120:in `validate_prerequisites_enabled!'", "/home/dcleal/code/foreman/smart

-proxy/lib/proxy/plugin.rb:131:in `validate!'", "/home/dcleal/code/foreman/smart-proxy/lib/proxy/p

lugin.rb:150:in `configure_plugin'", "/home/dcleal/code/foreman/smart-proxy

/lib/proxy/plugin_initializer.rb:31:in `block in configure_plugins'", "/home/dcleal/code/foreman/s

mart-proxy/lib/proxy/plugin_initializer.rb:29:in `each'", "/home/dcleal/code/foreman/smart-proxy/l

ib/proxy/plugin_initializer.rb:29:in `configure_plugins'", "/home/dcleal/co

de/foreman/smart-proxy/lib/proxy/plugin_initializer.rb:5:in `initialize_plugins'", "/home/dcleal/c

ode/foreman/smart-proxy/lib/launcher.rb:114:in `configure_plugins'", "/home/dcleal/code/foreman/sm

art-proxy/lib/launcher.rb:124:in `launch'", "bin/smart-proxy:6:in `<main>'" 

]

E, [2016-04-22T13:08:28.996725 #992] ERROR -- : Couldn't enable plugin dhcp: Unable to find depend

ency 'dhcp_virsh' of 'dhcp'.

D, [2016-04-22T13:08:28.996762 #992] DEBUG -- : ["/home/dcleal/code/foreman/smart-proxy/lib/proxy/

plugin.rb:122:in `block in validate_prerequisites_enabled!'", "/home/dcleal/code/foreman/smart-pro

xy/lib/proxy/plugin.rb:120:in `each'", "/home/dcleal/code/foreman/smart-pro

xy/lib/proxy/plugin.rb:120:in `validate_prerequisites_enabled!'", "/home/dcleal/code/foreman/smart

-proxy/lib/proxy/plugin.rb:131:in `validate!'", "/home/dcleal/code/foreman/smart-proxy/lib/proxy/p

lugin.rb:150:in `configure_plugin'", "/home/dcleal/code/foreman/smart-proxy

/lib/proxy/plugin_initializer.rb:31:in `block in configure_plugins'", "/home/dcleal/code/foreman/s

mart-proxy/lib/proxy/plugin_initializer.rb:29:in `each'", "/home/dcleal/code/foreman/smart-proxy/l

ib/proxy/plugin_initializer.rb:29:in `configure_plugins'", "/home/dcleal/co

de/foreman/smart-proxy/lib/proxy/plugin_initializer.rb:5:in `initialize_plugins'", "/home/dcleal/c

ode/foreman/smart-proxy/lib/launcher.rb:114:in `configure_plugins'", "/home/dcleal/code/foreman/sm

art-proxy/lib/launcher.rb:124:in `launch'", "bin/smart-proxy:6:in `<main>'" 

]

Related issues:
Related to Smart Proxy - Feature #13761: Refactor virsh providers into libvir... Closed 02/17/2016

Associated revisions

Revision 4f0fafbd - 05/02/2016 05:01 AM - Dmitri Dolguikh 

Fixes #14775 - virsh provider is now being renamed

When migrating during dns and dhcp configuration files.

History

#1 - 04/22/2016 08:11 AM - Dominic Cleal

- Related to Feature #13761: Refactor virsh providers into libvirt with ruby-bindings added

#2 - 04/29/2016 11:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/412 added

#3 - 05/02/2016 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4f0fafbd1fbbee5782362df36a47f86435862702.
